---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: workspaces-api
  namespace: workspaces
spec:
  template:
    spec:
      containers:
      - name: workspaces-api
        image: cr.yandex/crp3ccidau046kdj8g9q/workspaces-backend:production_fef43835
        env:
        - name: POSTGRES_ADDRESS
          value: postgres-service
        - name: POSTGRES_PORT
          value: '5432'
        - name: POSTGRES_DB
          value: workspaces_db
        - name: POSTGRES_POOL_SIZE
          value: '3'
        - name: BUNDLES_RETRY_COUNT
          value: '5'
        - name: BUNDLES_NJOBS
          value: '5'
        - name: API_ADDRESS
          value: 0.0.0.0:8000
        - name: NAMESPACE
          value: sarex-workspaces
        - name: ENABLE_SQL_QUERY
          value: '0'
        - name: ENABLE_SSL
          value: '0'
        - name: DOCUMENTATION_HOST
          value: http://documentations-service.documentations.svc.cluster.local:8080
        - name: DOCUMENTATION_LOGGER_FEATURE
          value: '0'
        - name: DOCUMENTATION_ORIGINATOR
          value: prod_ws
        - name: ENVIRONMENT
          value: prod
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
        - name: DJANGO_ORIGINATOR
          value: docs_prod
